org.apache.ignite.internal.sql

## Interface SqlLexerToken

All Known Implementing Classes:
  SqlLexer, SqlLexerLookAheadToken

    public interface SqlLexerToken

SQL parser token interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `sql()`
`String` `token()`
`char` `tokenFirstChar()`
`int` `tokenPosition()`
`SqlLexerTokenType` `tokenType()`

### Method Detail

#### sql

    String sql()

Returns:
  Original SQL.

#### token

    String token()

Returns:
  Current token.

#### tokenFirstChar

    char tokenFirstChar()

Returns:
  First character of the current token.

#### tokenPosition

    int tokenPosition()

Returns:
  Current token start position.

#### tokenType

    SqlLexerTokenType tokenType()

Returns:
  Token type.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018